.TH LIST-DESKTOP-PROFILES 1 "November 11, 2004" "desktop-profiles"

.SH NAME
list-desktop-profiles \- list known profiles that meet given criteria

.SH SYNOPSIS
list-desktop-profiles [OPTION]

.SH DESCRIPTION
As the number of .listing files holding metadata grows, trying to find out which profiles are present/meet certain criteria becomes increasingly unpleasant. This script remedies that allowing you to just list your criteria, and outputting all profiles meeting those criteria.
.PP
By default it will just output the lines from the .listing files for each (matching) profile, but you can specifying a formatstring to fancy up the output.
.PP

.SH OPTIONS
.PP
\-n <regexp>, \-\-name <regexp>
.IP
Limit shown profiles to those for which the name (1st) field of the profile description needs matches the given regular expression.

.PP
\-k <regexp>, \-\-kind <regexp> 
.IP
Limit shown profiles to those for which the kind (2nd) field of the profile description needs matches the given regular expression.

.PP
\-l <regexp>, \-\-location <regexp> 
.IP
Limit shown profiles to those for which the location (3th) field of the profile description needs matches the given regular expression.

.PP
\-p <comparison>, \-\-precedence <comparison>
.IP
Limit shown profiles to those for which the precedence (4th) field of the profile description succeeds the given comparison. In the comparison you can Use 'gt' for 'greater then', 'lt' for 'less then', 'ge' for 'greater then or equal to', 'le' for 'less then or equal to', 'eq' for 'equal to', and 'ne' for 'not equal to'. (NOTE: empty precedence-field, is lowest possible precedence)

.PP
\-r <regexp>, \-\-requirement <regexp>
.IP
Limit shown profiles to those for which the requirements (5th) field of the profile description needs matches the given regular expression.

.PP
\-c <regexp>, \-\-comment <regexp>, \-\-description <regexp>
.IP
Limit shown profiles to those for which the comment (6th) field of the profile description needs matches the given regular expression.

.PP
\-u <username>, \-\-user <username> 
.IP
Limit shown profiles to those for which the given user meets the requirements. (NOTE: doesn't always give correct results! Results might be wrong when using shell command requirements that depend on the users environment. Or when 'group $USER' gives a different result as 'group' executed as $USER, which can happen when adding groups through pam_group).

.PP
\-d <dir>, \-\-directory <dir>
.IP
Also use .listing files found in the given directory. This option can be used multiple times to add more then 1 additional directory

.PP
\-e <formatstring>, \-\-entry-format <formatstring>
.IP
Show profile information according to the specified format spring (instead of just echoing the profile-line). The format string may use the following variables: NAME, LOCATION, PRECEDENCE, REQUIREMENTS, KIND, DESCRIPTION, FILE; the first 6 of these refer to the corresponding field, the last refers to the .listing file the profile is in. (e.g. '$FILE_$NAME - $DESCRIPTION'). Any characters that are interpreted specially by the shell should be escaped.

.PP
\-s <fieldname>|<fieldnumber>, \-\-sort-key <fieldname>|fieldnumber
.IP
Sort output on the requested field (fieldname is one of name, kind, location, precedence, requirements, or description; fieldnumbers run from 1-6).

.SH EXAMPLES
.PP
list-desktop-profiles \-k KDE \-s precedence \-u user1
.IP
List all kde-profiles that will be activated for user1 in order of precedence.

.PP
list-desktop-profiles \-k 'KDE\\|GCONF'
.IP
List all kde and gnome profiles.
.PP
list-desktop-profiles \-p 'gt 50'
.IP
List all profiles with a precedence value greater then 50.

.SH ENVIRONMENT
.PP
NAME_FILTER, LOCATION_FILTER, PRECEDENCE_FILTER, REQUIREMENT_FILTER, KIND_FILTER, DESCRIPTION_FILTER
.IP 
Can be used to specify the default regular expressions and comparisons. Default to empty.

.PP
OUR_USER
.IP
Set the user for which the requirements need to be met. Defaults to unset.

.PP
EXTRA_LISTINGS
.IP
Can be used to specify a (space separated) list of extra .listing files to include. Defaults to empty

.PP
FORMAT
.IP
Can be used to specify the default format string. By default it will output the profile-line from the .listing file.

.PP
SORT_KEY
.IP
Can be used to specify the default sort-key (= field number). Defaults to 1

.SH FILES
/etc/desktop-profiles/*.listing - Files containing the metadata about installed profiles
.PP
/etc/default/desktop-profiles - File containing default settings for this script (by way of the environment variables above)

.SH BUGS
The '\-u <username>' is not guaranteed to work correctly for shell command requirements. Particularly this will give incorrect results if the shell command depends on some state of the user environment.
.PP

.SH AUTHOR
This manual page was written by Bart Cornelis <cobaco@skolelinux.no>.
.PP

.SH SEE ALSO
desktop-profiles(7), update-profile-cache(1)

